<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="author" content="Gruppe Pitahaya">
	<meta name="description" content="Gruppenarbeit TOSE - Projektportfolio">
	<meta name="keywords" content="TOSE,Pitahaya,Gruppenarbeit,Projektportfolio">
	<link href="/css/pitahaya.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/css/pitahaya-form.css" rel="stylesheet" type="text/css" media="all" />
	<script type="text/javascript" src="/javascripts/checkdatum_wp.js" async></script>
	<title>Test</title>
</head>

<body>
<div id="page" class="container">
	<div id="header">
		<div id="logo">
			<a href="/index"><img src="/images/pitahaya.jpg" alt="Pitahaya Bild" height="80" width="80"></a>
			<h5>Pitahaya PPM</h5>
				<br>
			<span th:text="${session_user}"></span>
         	<a href="/logout"><img src="/images/shutdown-button.png" width="16" height="16" align="middle"></a>
		</div>
		<div id="menu">
			<ul>
				<li><a href="/index">Startseite</a>
				<li><a href="/profil">Mein Profil</a>
				<li class="current_page_item"><a href="/projekte">Projekt&uuml;bersicht</a></li>
				<li><a href="/sites/kontakt.html">Kontakt</a>
				</li>
			</ul>
		</div>
	</div>
	<div id="main">
		<div id="welcome">
			<div class="title">
				<h2>Workpackage erfassen</h2>
				<hr>
            </div>   
            <span class="byline">Bitte wählen Sie alle Felder aus.</span> 
			<form action="#" th:action="${postAction}" method="post" th:object="${workpackageDetail}">
				<input type="hidden" name="workpackageDetail.projektname" th:value="${projectId}" /> 
				<div class="errormsg">
					<span th:text="${error}"></span>
				</div> 
				<div class="col-3 field">
					<input id="Workpackagename" type="text" name="workpackageDetail.workpackagename" placeholder="" th:value="*{workpackagename}" required />
					<label for="Workpackagename">Workpackage Name</label>
				</div>
				<div class="col-3 field">
					 <input id="Planned_Value" type="text" name="workpackageDetail.plannedValue" placeholder="" th:value="*{plannedValue}" required />
					 <label for="Planned_Value">Planned Value</label>
				</div> 
			    <div class="col-3 field">
					 <select name="workpackageDetail.done" style="width: 320px; height: 30px; font-size: 20px;" required>
					  	<option th:if="${workpackageDetail.done != null}"                          	
							  th:each="done: ${doneList}"
						      th:value="${done.done}"
							  th:utext="${done.done}"	
							  th:selected="${workpackageDetail.done}==${done.done}" />	
						<option th:if="${workpackageDetail.done == null}"                          	
							  th:each="done: ${doneList}"
						      th:value="${done.done}"
							  th:utext="${done.done}" />	 	  
					 </select> 		
				</div>      
				<div class="col-3 field">
					<select name="workpackageDetail.phasenname" style="width: 320px; height: 30px; font-size: 20px;">
						<option value="" selected>Bitte die Phase auswählen</option>
							<option th:if="${workpackageDetail.projectphase != null}"
							  th:each="phasenname: ${phaseDetail}"
							  th:value="${phasenname.id}"
							  th:utext="${phasenname.phasenname}"
							  th:selected="${workpackageDetail.projectphase.phasenname}==${phasenname.phasenname}" />
							<option th:if="${workpackageDetail.projectphase == null}"
							  th:each="phasenname: ${phaseDetail}"
							  th:value="${phasenname.id}"
							  th:utext="${phasenname.phasenname}" />
					</select>			
				</div>   
				           
				<div class="col-3 field">	
					<input id="Startdate" type="date" name="workpackageDetail.startdate" placeholder="" th:value="*{startdate}" required onchange="checkBegin()" />
					<label for="Startdate">Start Datum</label> 
				</div>
				<div class="col-3 field">		
					<input id="Enddate" type="date" name="workpackageDetail.enddate" placeholder="" th:value="*{enddate}" required onchange="checkEnde()" />
					<label for="Enddate">End Datum</label> 
				</div>
				<input type="submit" class="button" align="auto" value="Workpackage erfassen">	
            </form> 
		</div>
	</div>
</div>
</body>
<footer>
	<div id="copyright2">
		<span>&copy; Pitahaya </span>		
	</div>
</footer>
</html>